=== src/Makefile ===
#############################################################################
# Makefile for building: siggy
# Generated by qmake (2.01a) (Qt 4.5.2) on: mar mar 9 16:46:18 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = dbmanager.cpp \
		expense.cpp \
		concept.cpp \
		monthdata.cpp \
		controller.cpp \
		mainwindow.cpp \
		expensesgraph.cpp \
		expensedetailsdialog.cpp \
		budgetdialog.cpp \
		conceptsdialog.cpp \
		conceptdetailsdialog.cpp \
		expenseslist.cpp \
		scheduledlist.cpp \
		scheduleddetailsdialog.cpp \
		confirmationdialog.cpp \
		main.cpp moc_monthdata.cpp \
		moc_controller.cpp \
		moc_expensesgraph.cpp \
		moc_expensedetailsdialog.cpp \
		moc_budgetdialog.cpp \
		moc_conceptsdialog.cpp \
		moc_conceptdetailsdialog.cpp \
		moc_expenseslist.cpp \
		moc_scheduledlist.cpp \
		moc_scheduleddetailsdialog.cpp \
		moc_confirmationdialog.cpp \
		moc_mainwindow.cpp
OBJECTS       = dbmanager.o \
		expense.o \
		concept.o \
		monthdata.o \
		controller.o \
		mainwindow.o \
		expensesgraph.o \
		expensedetailsdialog.o \
		budgetdialog.o \
		conceptsdialog.o \
		conceptdetailsdialog.o \
		expenseslist.o \
		scheduledlist.o \
		scheduleddetailsdialog.o \
		confirmationdialog.o \
		main.o \
		moc_monthdata.o \
		moc_controller.o \
		moc_expensesgraph.o \
		moc_expensedetailsdialog.o \
		moc_budgetdialog.o \
		moc_conceptsdialog.o \
		moc_conceptdetailsdialog.o \
		moc_expenseslist.o \
		moc_scheduledlist.o \
		moc_scheduleddetailsdialog.o \
		moc_confirmationdialog.o \
		moc_mainwindow.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = siggy
DESTDIR       = 
TARGET        = siggy

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/siggy1.0.0 || $(MKDIR) .tmp/siggy1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/siggy1.0.0/ && $(COPY_FILE) --parents global.h dbmanager.h expense.h concept.h monthdata.h controller.h expensesgraph.h expensedetailsdialog.h budgetdialog.h conceptsdialog.h conceptdetailsdialog.h expenseslist.h scheduledlist.h scheduleddetailsdialog.h confirmationdialog.h mainwindow.h .tmp/siggy1.0.0/ && $(COPY_FILE) --parents dbmanager.cpp expense.cpp concept.cpp monthdata.cpp controller.cpp mainwindow.cpp expensesgraph.cpp expensedetailsdialog.cpp budgetdialog.cpp conceptsdialog.cpp conceptdetailsdialog.cpp expenseslist.cpp scheduledlist.cpp scheduleddetailsdialog.cpp confirmationdialog.cpp main.cpp .tmp/siggy1.0.0/ && (cd `dirname .tmp/siggy1.0.0` && $(TAR) siggy1.0.0.tar siggy1.0.0 && $(COMPRESS) siggy1.0.0.tar) && $(MOVE) `dirname .tmp/siggy1.0.0`/siggy1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/siggy1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_mainwindow.cpp
moc_monthdata.cpp: expense.h \
		global.h \
		monthdata.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) monthdata.h -o moc_monthdata.cpp

moc_controller.cpp: expense.h \
		monthdata.h \
		global.h \
		mainwindow.h \
		expensesgraph.h \
		dbmanager.h \
		concept.h \
		controller.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) controller.h -o moc_controller.cpp

moc_expensesgraph.cpp: monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) expensesgraph.h -o moc_expensesgraph.cpp

moc_expensedetailsdialog.cpp: expense.h \
		concept.h \
		expensedetailsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) expensedetailsdialog.h -o moc_expensedetailsdialog.cpp

moc_budgetdialog.cpp: budgetdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) budgetdialog.h -o moc_budgetdialog.cpp

moc_conceptsdialog.cpp: conceptsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) conceptsdialog.h -o moc_conceptsdialog.cpp

moc_conceptdetailsdialog.cpp: concept.h \
		conceptdetailsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) conceptdetailsdialog.h -o moc_conceptdetailsdialog.cpp

moc_expenseslist.cpp: expenseslist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) expenseslist.h -o moc_expenseslist.cpp

moc_scheduledlist.cpp: scheduledlist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) scheduledlist.h -o moc_scheduledlist.cpp

moc_scheduleddetailsdialog.cpp: expense.h \
		concept.h \
		scheduleddetailsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) scheduleddetailsdialog.h -o moc_scheduleddetailsdialog.cpp

moc_confirmationdialog.cpp: confirmationdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) confirmationdialog.h -o moc_confirmationdialog.cpp

moc_mainwindow.cpp: monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h \
		mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

dbmanager.o: dbmanager.cpp dbmanager.h \
		expense.h \
		concept.h \
		monthdata.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dbmanager.o dbmanager.cpp

expense.o: expense.cpp expense.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o expense.o expense.cpp

concept.o: concept.cpp concept.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o concept.o concept.cpp

monthdata.o: monthdata.cpp monthdata.h \
		expense.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o monthdata.o monthdata.cpp

controller.o: controller.cpp expensedetailsdialog.h \
		expense.h \
		concept.h \
		scheduleddetailsdialog.h \
		budgetdialog.h \
		conceptsdialog.h \
		conceptdetailsdialog.h \
		expenseslist.h \
		controller.h \
		monthdata.h \
		global.h \
		mainwindow.h \
		expensesgraph.h \
		dbmanager.h \
		scheduledlist.h \
		confirmationdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o controller.o controller.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

expensesgraph.o: expensesgraph.cpp expensesgraph.h \
		monthdata.h \
		expense.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o expensesgraph.o expensesgraph.cpp

expensedetailsdialog.o: expensedetailsdialog.cpp expensedetailsdialog.h \
		expense.h \
		concept.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o expensedetailsdialog.o expensedetailsdialog.cpp

budgetdialog.o: budgetdialog.cpp budgetdialog.h
