=== debian/changelog ===
siggy (0.2) unstable; urgency=low

  * graph working
  * create/update/delete concepts
  * create/update/delete expenses
  * create/update/delete scheduled expenses
  * integration with Hildon Desktop
  * integration with backup application
  * internationalization support and spanish translation

 -- Miguel Gomez <magomez@igalia.com>  Wed, 03 Mar 2010 18:03:34 +0100

siggy (0.1) unstable; urgency=low

  * Initial release

 -- Miguel Gomez <magomez@igalia.com>  Thu, 11 Feb 2010 10:22:16 +0100
