=== src/Makefile ===
#############################################################################
# Makefile for building: siggy
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Mar 16 16:11:29 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtSql -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtSql -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = dbmanager.cpp \
		expense.cpp \
		concept.cpp \
		monthdata.cpp \
		controller.cpp \
		mainwindow.cpp \
		expensesgraph.cpp \
		expensedetailsdialog.cpp \
		budgetdialog.cpp \
		conceptsdialog.cpp \
		conceptdetailsdialog.cpp \
		expenseslist.cpp \
		scheduledlist.cpp \
		scheduleddetailsdialog.cpp \
		confirmationdialog.cpp \
		datechooserdialog.cpp \
		periodwindow.cpp \
		summarywindow.cpp \
		summarydata.cpp \
		conceptschart.cpp \
		main.cpp moc_monthdata.cpp \
		moc_controller.cpp \
		moc_expensesgraph.cpp \
		moc_expensedetailsdialog.cpp \
		moc_budgetdialog.cpp \
		moc_conceptsdialog.cpp \
		moc_conceptdetailsdialog.cpp \
		moc_expenseslist.cpp \
		moc_scheduledlist.cpp \
		moc_scheduleddetailsdialog.cpp \
		moc_confirmationdialog.cpp \
		moc_datechooserdialog.cpp \
		moc_periodwindow.cpp \
		moc_summarywindow.cpp \
		moc_summarydata.cpp \
		moc_conceptschart.cpp \
		moc_mainwindow.cpp
OBJECTS       = dbmanager.o \
		expense.o \
		concept.o \
		monthdata.o \
		controller.o \
		mainwindow.o \
		expensesgraph.o \
		expensedetailsdialog.o \
		budgetdialog.o \
		conceptsdialog.o \
		conceptdetailsdialog.o \
		expenseslist.o \
		scheduledlist.o \
		scheduleddetailsdialog.o \
		confirmationdialog.o \
		datechooserdialog.o \
		periodwindow.o \
		summarywindow.o \
		summarydata.o \
		conceptschart.o \
		main.o \
		moc_monthdata.o \
		moc_controller.o \
		moc_expensesgraph.o \
		moc_expensedetailsdialog.o \
		moc_budgetdialog.o \
		moc_conceptsdialog.o \
		moc_conceptdetailsdialog.o \
		moc_expenseslist.o \
		moc_scheduledlist.o \
		moc_scheduleddetailsdialog.o \
		moc_confirmationdialog.o \
		moc_datechooserdialog.o \
		moc_periodwindow.o \
		moc_summarywindow.o \
		moc_summarydata.o \
		moc_conceptschart.o \
		moc_mainwindow.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = siggy
DESTDIR       = 
TARGET        = siggy

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtSql.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtSql.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/siggy1.0.0 || $(MKDIR) .tmp/siggy1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/siggy1.0.0/ && $(COPY_FILE) --parents global.h dbmanager.h expense.h concept.h monthdata.h controller.h expensesgraph.h expensedetailsdialog.h budgetdialog.h conceptsdialog.h conceptdetailsdialog.h expenseslist.h scheduledlist.h scheduleddetailsdialog.h confirmationdialog.h datechooserdialog.h periodwindow.h summarywindow.h summarydata.h conceptschart.h mainwindow.h .tmp/siggy1.0.0/ && $(COPY_FILE) --parents dbmanager.cpp expense.cpp concept.cpp monthdata.cpp controller.cpp mainwindow.cpp expensesgraph.cpp expensedetailsdialog.cpp budgetdialog.cpp conceptsdialog.cpp conceptdetailsdialog.cpp expenseslist.cpp scheduledlist.cpp scheduleddetailsdialog.cpp confirmationdialog.cpp datechooserdialog.cpp periodwindow.cpp summarywindow.cpp summarydata.cpp conceptschart.cpp main.cpp .tmp/siggy1.0.0/ && (cd `dirname .tmp/siggy1.0.0` && $(TAR) siggy1.0.0.tar siggy1.0.0 && $(COMPRESS) siggy1.0.0.tar) && $(MOVE) `dirname .tmp/siggy1.0.0`/siggy1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/siggy1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_datechooserdialog.cpp moc_periodwindow.cpp moc_summarywindow.cpp moc_summarydata.cpp moc_conceptschart.cpp moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_datechooserdialog.cpp moc_periodwindow.cpp moc_summarywindow.cpp moc_summarydata.cpp moc_conceptschart.cpp moc_mainwindow.cpp
moc_monthdata.cpp: expense.h \
		global.h \
		monthdata.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) monthdata.h -o moc_monthdata.cpp

moc_controller.cpp: expense.h \
		monthdata.h \
		global.h \
		mainwindow.h \
		expensesgraph.h \
		dbmanager.h \
		concept.h \
		summarydata.h \
		summarywindow.h \
		periodwindow.h \
		conceptschart.h \
		controller.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) controller.h -o moc_controller.cpp

moc_expensesgraph.cpp: monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) expensesgraph.h -o moc_expensesgraph.cpp

moc_expensedetailsdialog.cpp: expense.h \
		concept.h \
		expensedetailsdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) expensedetailsdialog.h -o moc_expensedetailsdialog.cpp
