=== debian/changelog ===
siggy (0.3) unstable; urgency=low

  * added funcionality to get statistics from a concrete period
  * added graph to view expenses by item during a period

 -- Miguel Gomez <magomez@igalia.com>  Wed, 17 Mar 2010 12:41:30 +0100
