## siggy 0.4

=== debian/changelog ===
siggy (0.4) unstable; urgency=low

  * multiple account support added
  * expenses are now identified by an UUID

 -- Miguel Gomez <magomez@igalia.com>  Mon, 19 Apr 2010 10:33:59 +0200
