=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Miguel Gomez <magomez@igalia.com>
-Build-Depends: debhelper (>= 4), libqt4-maemo5-dev (>=4.6)
+Build-Depends: debhelper (>= 4), libqt4-dev (>=4.6)
 Standards-Version: 3.8.1
 
 Package: siggy
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-maemo5-gui (>=4.6), libqt4-maemo5-sql (>=4.6),
-         libqt4-maemo5-sql-sqlite (>=4.6), libqt4-maemo5-maemo5,
+Depends: ${shlibs:Depends}, libqt4-gui (>=4.6), libqt4-sql (>=4.6),
+         libqt4-sql-sqlite (>=4.6), libqt4-maemo5,
          libsqlite3-0
 Description: Maemo5 application to manage personal budget
  Maemo5 application to manage your personal budget.
